﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using System.ComponentModel.DataAnnotations;

namespace YTManager.Models {
    public class Video {
        // Uniquie ID for this media type
        [Key]
        public long VideoId { get; set; }

        // Title of the media
        [Required]
        public string Title { get; set; }

        // Short description of the media
        [Required]
        public string Description { get; set; }

        // Youtube Video ID
        [Required]
        public string YTVideoID { get; set; }

        // Channel this video belongs to.
        [Required]
        public string YTChannelID { get; set; }

        // Thumbnail link
        [Required]
        public string ThumbnailURL { get; set; }

        // Date video was uploaded to YT
        [Required]
        public DateTime Uploaded { get; set; }

        // Date added to database
        [Required]
        public DateTime AddedtoDB { get; set; }

        // Refer back to what channel this video belongs to.
        public long ChannelId { get; set; }
        public Channel Channel { get; set; }
    }
}
